Subject: Journal of Molecular Graphics and Modelling

From: "Glover, Jonathan (ELS)" <[email-masked]>
Date: Thu, 6 Apr 2000 15:22:13 -0400

Dear CCL's:
Just reminder that the Journal of Molecular Graphics and Modelling is
available at a special subscription price of $65 for Members of the ACS
Division of Computers in Chemistry (6 issues per year). Upcoming numbers of
the journal include special issues on Advances in Modelling Carbohydrates,
and Combinatorial Library Design. The journal also now includes an expanded
News and Views section. For subscription information call 1-888-4ES-INFO, or
e-mail [email-masked]

Jon Glover